#ifndef _INTERRUPTCONTROL_H
#define _INTERRUPTCONTROL_H

#include <vector>

#define ADXL375_Address 0x53
#define BNO055_Address 0x28

#define SDA_ADXL 19
#define SCL_ADXL 18

#define SDA_BNO055 4
#define SCL_BNO055 5 

using namespace std;

void ADXL375_Config();
void BNO055_Config();

void ISR_SHOCKDETECT();
void ISR_ANGULARDETECT();

extern int shocktag;
extern int angulartag;

void ReadFIFO(vector<double>& HIGH_G_DATA);

void Clear_ADXL375_Interrupts();

void Reset_ADXL375_Interrupts();

void Reset_BNO055_Interrupts();
int Clear_BNO055_Interrupts();

void ReadGyro(vector<double>& GYRO_DATA);


#endif